org.glassfish.jersey.server.model

## Interface ResourceModelVisitor

All Known Implementing Classes:
  AbstractResourceModelVisitor, RuntimeResourceModelValidator

    public interface ResourceModelVisitor

Following the visitor pattern, this interface allows implementing processors traversing all abstract model components present in a given model.

Author:
  Jakub Podlesak, Marek Potociar
See Also:
  `ResourceModelComponent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitChildResource(Resource resource)` Start visiting a single child resource model.
`void` `visitInvocable(Invocable invocable)` Visit a single resource method invocable model.
`void` `visitMethodHandler(MethodHandler methodHandler)` Visit a single resource method handler model.
`void` `visitResource(Resource resource)` Start visiting a single resource model.
`void` `visitResourceHandlerConstructor(HandlerConstructor constructor)` Process a resource method handler constructor.
`void` `visitResourceMethod(ResourceMethod method)` Visit a single resource method model.
`void` `visitResourceModel(ResourceModel resourceModel)` Process a resource model.
`void` `visitRuntimeResource(RuntimeResource runtimeResource)` Process a runtime resource model.

### Method Detail

#### visitResource

    void visitResource(Resource resource)

Start visiting a single resource model.

Parameters:
  `resource` - resource model.

#### visitChildResource

    void visitChildResource(Resource resource)

Start visiting a single child resource model.

Parameters:
  `resource` - child resource model.

#### visitResourceMethod

    void visitResourceMethod(ResourceMethod method)

Visit a single resource method model.

Parameters:
  `method` - resource method model.

#### visitInvocable

    void visitInvocable(Invocable invocable)

Visit a single resource method invocable model.

Parameters:
  `invocable` - resource method invocable model.

#### visitMethodHandler

    void visitMethodHandler(MethodHandler methodHandler)

Visit a single resource method handler model.

Parameters:
  `methodHandler` - resource method handler model.

#### visitResourceHandlerConstructor

    void visitResourceHandlerConstructor(HandlerConstructor constructor)

Process a resource method handler constructor. Typically a constructor of a JAX-RS annotated resource class.

Parameters:
  `constructor` - resource method handler constructor.

#### visitResourceModel

    void visitResourceModel(ResourceModel resourceModel)

Process a resource model.

Parameters:
  `resourceModel` - resource model.

#### visitRuntimeResource

    void visitRuntimeResource(RuntimeResource runtimeResource)

Process a runtime resource model.

Parameters:
  `runtimeResource` - runtime resource model.